Class | YARD::Tags::ScopeDirective
In: | lib/yard/tags/directives.rb
Parent: | Directive

Modifies the current parsing scope (class or instance). If this directive is defined on a docstring attached to an object definition, it is applied only to that object. Otherwise, it applies the scope to all future objects in the namespace.

@example Modifying the scope of a DSL method

      # @!scope class
      cattr_accessor :subclasses

@example Modifying the scope of a set of methods

      # @!scope class

      # Documentation for method1
      def method1; end

      # Documentation for method2
      def method2; end

@since 0.7.0

### Methods

call

### Public Instance methods

call()

[Validate]